//
//  SOMAMoPubBannerAdapter.m
//  SmaatoShowcase
//
//  Created by Aman Shaikh on 02/09/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import "SOMAMoPubBannerAdapter.h"

@implementation SOMAMoPubBannerAdapter
- (void)requestAdWithSize:(CGSize)size customEventInfo:(NSDictionary *)info{
	self.somaBanner = [[SOMAAdView alloc] initWithFrame:CGRectMake(0, 0, 320, 50)];
	self.somaBanner.delegate = self;
//	self.somaBanner.adSettings.publisherId=0;
//	self.somaBanner.adSettings.adSpaceId = 0;
	self.somaBanner.adSettings.dimension = SOMAAdDimensionDefault;
	[self.somaBanner load];
}

#pragma mark -
#pragma mark - SOMAAdViewDelegate
#pragma mark -

- (UIViewController *)somaRootViewController{
	return [self.delegate viewControllerForPresentingModalView];
}

- (void)somaAdViewDidLoadAd:(SOMAAdView *)adview{
	[self.delegate bannerCustomEvent:self didLoadAd:adview];
}
- (void)somaAdView:(SOMAAdView *)adview didFailToReceiveAdWithError:(NSError *)error{
	[adview removeFromSuperview];
	[self.delegate bannerCustomEvent:self didFailToLoadAdWithError:error];
}
- (BOOL)somaAdViewShouldEnterFullscreen:(SOMAAdView *)adview{
	[self.delegate bannerCustomEventWillBeginAction:self];
	return YES;
}

- (void)somaAdViewDidExitFullscreen:(SOMAAdView *)adview{
	[self.delegate bannerCustomEventDidFinishAction:self];
}

@end
