//
//  SOMAMoPubInterstitialAdapter.m
//  SmaatoShowcase
//
//  Created by Aman Shaikh on 09/10/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import "SOMAMoPubInterstitialAdapter.h"

@implementation SOMAMoPubInterstitialAdapter
- (void)requestInterstitialWithCustomEventInfo:(NSDictionary *)info{
	self.adview = [[SOMAInterstitialAdView alloc] init];
	self.adview.delegate = self;
	self.adview.adSettings.publisherId=[info[@"pub"] intValue];
	self.adview.adSettings.adSpaceId = [info[@"ad"] intValue];
	self.adview.adSettings.dimension = SOMAAdDimensionDefault;
	[self.adview load];
	
}
- (void)showInterstitialFromRootViewController:(UIViewController *)rootViewController{
	[self.adview show];
}
- (BOOL)enableAutomaticImpressionAndClickTracking{
	// Subclasses may override this method to return NO to perform impression and click tracking
	// manually.
	return YES;
}

#pragma mark -
#pragma mark - SOMAAdviewDelegate
#pragma mark -

- (void)somaAdViewDidLoadAd:(SOMAAdView *)adview{
    [self.delegate interstitialCustomEvent:self didLoadAd:@"5235fa902366406485cafa965c7103c0"];
}


@end
