//
//  SOMAAdViewPresentationDelegate.h
//  iSoma
//
//  Created by Aman Shaikh on 24/06/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

@class SOMAAdView;

@protocol SOMAAdViewPresentationDelegate <NSObject>
@optional
-(void)willShowAdView:(SOMAAdView*)adView inFrame:(CGRect)frame withDuration:(double) duration;
-(void)didShowAdView:(SOMAAdView*)adView inFrame:(CGRect)frame;
-(void)willHideAdView:(SOMAAdView*)adView inFrame:(CGRect)frame withDuration:(double) duration;
-(void)didHideAdView:(SOMAAdView*)adView inFrame:(CGRect)frame;
-(CGRect) frameToAppearForAdView:(SOMAAdView*)adView;
-(CGRect) frameToDisappear:(SOMAAdView*)adView;
-(double) animationDurationForAdView:(SOMAAdView*)adView;
@end