//
//  SOMABannerPresentation.h
//  iSoma
//
//  Created by Aman Shaikh on 24/06/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SOMAAdViewPresentationDelegate.h"
#import <CoreGraphics/CoreGraphics.h>

@class SOMAAdView;

@protocol SOMAAdViewPresentation <NSObject>
@property (nonatomic, weak) id<SOMAAdViewPresentationDelegate>delegate;
@property (nonatomic, assign, getter = isPresented) BOOL presented;
@required
-(void)show:(SOMAAdView*)adView;
-(void)hide:(SOMAAdView*)adView;
-(double)animationDuration;
-(CGRect)startFrameForFrame:(CGRect)viewFrame;
-(CGRect)finalFrameForFrame:(CGRect)viewFrame;
@end
